:root,[data-bs-theme=light] {
    --bs-primary: #1a4c27;
    --bs-primary-rgb: 156, 179, 60;
    --bs-primary-text: #1e3f1d;
    --bs-primary-bg-subtle: #557836;
    --bs-primary-border-subtle: #b1b5a4;

    --bs-heading-color: #1a4c27;
    --bs-emphasis-color: #1a4c27;
    
    --bs-secondary: #67692b;
    --bs-secondary-rgb: 103, 105, 43;
    --bs-secondary-text: #1e3f1d;
    --bs-secondary-bg-subtle: #9fb440;
    --bs-secondary-border-subtle: #948F82;
    
    --bs-danger: #E33726;
    --bs-danger-rgb: 227, 55, 38;
    --bs-danger-text: #610F0D;
    --bs-danger-bg-subtle: #f1aeb5;
    --bs-danger-border-subtle: #948F82;
    
    --bs-dark: #1e3f1d;
    --bs-dark-rgb: 60, 76, 44;
    --bs-light: #E9C598;
    --bs-light-rgb: 233, 197, 152;    
    
    --bs-body-color: #1e3f1d;
    --bs-body-color-rgb: 60, 76, 44;
    --bs-body-bg: #ffffff;
    --bs-body-bg-rgb: 233, 197, 152;
    
    --bs-border-color: #b1b5a4;
    --bs-border-color-translucent: rgba(177, 181, 164, 0.175);
    
    --bs-link-color: #9fb440;
    --bs-link-hover-color: #1e3f1d;
    
    --bs-nav-link-color: #9fb440;
    --bs-nav-link-hover-color: #1e3f1d;
    --bs-nav-pills-link-active-color: #1e3f1d;
    --bs-nav-pills-link-active-bg: #67692b;
    
    --bs-btn-active-bg: #9CB33C;    
}
[data-bs-theme=dark] {
    --bs-primary: #d2d9d2;    
    --bs-primary-text: #b1b5a4;
    --bs-primary-bg-subtle: #557836;
    --bs-primary-border-subtle: #67692b;

    --bs-heading-color: #ffffff;
    --bs-emphasis-color: #b1b5a4;
    
    --bs-secondary: #67692b;
    --bs-secondary-rgb: 103, 105, 43;
    --bs-secondary-text: #b1b5a4;
    --bs-secondary-bg-subtle: #1e3f1d;
    --bs-secondary-border-subtle: #67692b;
    
    --bs-danger: #E33726;
    --bs-danger-rgb: 227, 55, 38;
    --bs-danger-text: #E9C598;
    --bs-danger-bg-subtle: #610F0D;
    --bs-danger-border-subtle: #E33726;
    
    --bs-dark: #1e3f1d;
    --bs-dark-rgb: 8, 8, 8;
    --bs-light: #b1b5a4;
    --bs-light-rgb: 177, 181, 164;
    
    --bs-body-color: #b1b5a4;
    --bs-body-color-rgb: 177, 181, 164;
    --bs-body-bg: #181d18;
    --bs-body-bg-rgb: 8, 8, 8;
    
    --bs-border-color: #1e3f1d;
    --bs-border-color-translucent: rgba(60, 76, 44, 0.175);
    
    --bs-link-color: #9CB33C;
    --bs-link-hover-color: #E9C598;
    
    --bs-nav-link-color: #9CB33C;
    --bs-nav-link-hover-color: #E9C598;
    --bs-nav-pills-link-active-color: #ffffff;
    --bs-nav-pills-link-active-bg: #9CB33C;

    /* --bs-success: #9CB33C; */
}

.dropdown-item.active, .dropdown-item:active {    
    background-color: var(--bs-btn-active-bg);
}
.btn-primary {
    --bs-btn-bg: #557836;
    --bs-btn-border-color: #557836;
    --bs-btn-hover-bg: #526937;
    --bs-btn-hover-border-color: #526937;
    --bs-btn-active-bg: #9cb33c;
    --bs-btn-active-border-color: #9cb33c;
    --bs-btn-disabled-bg: #B1B5A4;
    --bs-btn-disabled-border-color: #B1B5A4;
}

#app {    
    display: flex;
    flex-direction: column;
    min-height: 100vh;
    font-family: 'Poppins', sans-serif; 
}
main {
    flex: 1;
}
.dropdown .dropdown-menu {
    --bs-dropdown-padding-x: .25rem;
    --bs-dropdown-padding-y: .25rem;
    font-size: .875rem;
}
.dropdown .dropdown-menu .dropdown-item {
    border-radius: .25rem;
}
.dropdown .dropdown-menu-end {
    --bs-dropdown-min-width: 8rem;
}
.alert {
    font-size: 0.8em;
}

.small {
    font-size: .65em;
}
.small p {
    margin: 0px;
    padding: 0.3rem;
}
.accent-big1 {
    display: inline-block; 
    line-height: 1;
    text-align: center;
    white-space: nowrap;
    vertical-align: baseline;    
    color: var(--bs-success);
    font-weight: 600;
}
.accent-small1 {    
    color: var(--bs-success);
    font-weight: 600;
}
.accent-big2 {
    display: inline-block; 
    line-height: 1;
    text-align: center;
    white-space: nowrap;
    vertical-align: baseline;    
    color: var(--bs-danger);
    font-weight: 600;
}
.accent-small2 {    
    color: var(--bs-danger);
    font-weight: 600;
}
.navbar {
    background-color: var(--bs-body-bg);
}
.nav-item .nav-link.active {
    color: var(--bs-primary);    
    font-weight: 700;
    border-bottom: .25rem solid;
    border-color: var(--bs-primary);
}
.nav-item .nav-link.active:hover {
    border-color: var(--bs-primary);
}
.nav-item .nav-link {
    color: var(--bs-secondary-color); 
    padding:0 !important;
    margin:.4em;
    border-bottom: .25rem solid;
    border-color: var(--bs-body-bg);
}
.nav-item .nav-link:hover {
    border-bottom: .25rem solid;
    border-color: var(--bs-secondary-color);
}

#navbarNav .btn, #navbarNav .btn.show, #navbarNav .btn:hover {
    background-color: var(--bs-body-bg);
    color: var(--bs-secondary-color); 
}
#navbarNav .dropdown-menu {
    background-color: var(--bs-secondary-bg);
    color: var(--bs-secondary-text);
}